Update credential

Overwrites the stored credential data (e.g. username/password) while keeping the same credential_id.

Path parameters

credential_idstringRequired
The unique identifier of the credential to update

Headers

x-api-keystring or nullOptional
Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.

Request

This endpoint expects an object.
namestringRequired
Name of the credential
credential_typeenumRequired
Type of credential to create
Allowed values:
credentialobjectRequired
The credential data to store

Response

Successful Response
credential_idstring
Unique identifier for the credential
credentialobject
The credential data
credential_typeenum
Type of the credential
Allowed values:
namestring
Name of the credential
browser_profile_idstring or null
Browser profile ID linked to this credential
tested_urlstring or null
Login page URL used during the credential test

Errors